<?xml version="1.0" encoding="UTF-8"?>

<!--  $Id: MCTXConfig.xsd,v 1.2 2003/08/21 02:12:52 visigoth_6 Exp $  -->
<!-- 
(c) visigoth <visigoth@securitycentric.com> 
This document is distrubuted under a BSD license.  Do
what you like with it, but keep the copyright.

Send me a bottle of wine:
3001 Park Center Drive #1613
Alexandria, VA, 22302
-->

<!-- Schema Notes:

-->

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

  <xsd:element name="config" type="MCTXConfig"/>

  <xsd:complexType name="MCTXConfig">
    <xsd:sequence>
      <!--  -->
      <xsd:element name="global_option" type="MCTXOption" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="probe_config" type="MCTXProbeConfig" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="target" type="MCTXTarget" minOccurs="0" maxOccurs="unbounded"/>
      <!-- <xsd:element name="save_date" type="xsd:date"/> -->
    </xsd:sequence>
  </xsd:complexType>


  <xsd:complexType name="MCTXProbeConfig">
    <xsd:sequence>
      <xsd:element name="probe_id" type="xsd:int"/>
      <xsd:element name="probe_version" type="xsd:string"/>
      <xsd:element name="probe_enabled" type="xsd:boolean"/>
      <xsd:element name="probe_option" type="MCTXOption" minOccurs="0" maxOccurs="unbounded"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXOption">
  <!--
    <xsd:sequence>
      <xsd:element name="name" type="xsd:string"/>
      <xsd:element name="value" type="xsd:string"/>
    </xsd:sequence> -->
    <xsd:attribute name="name"/>
    <xsd:attribute name="value"/>
  </xsd:complexType>

  <xsd:complexType name="MCTXTarget">
    <xsd:sequence>
      <xsd:element name="host" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>

</xsd:schema>
